summary refs log tree commit diff
path: root/configure
diff options
context:
space:
mode:
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure37
1 files changed, 37 insertions, 0 deletions
diff --git a/configure b/configure
new file mode 100755
index 0000000..0b5f212
--- /dev/null
+++ b/configure
@@ -0,0 +1,37 @@
+#!/bin/sh
+set -eu
+
+exec >config.mk
+
+case "$(uname)" in
+	(FreeBSD)
+		if ! pkg info -e libressl || ! pkg info -e sqlite3; then
+			echo 'LibreSSL & SQLite3 required' >&2
+			exit 1
+		fi
+		prefix=$(pkg query '%p' sqlite3)
+		cat <<-EOF
+		CFLAGS += -I${prefix}/include
+		CFLAGS += -D'SQLITE3_BIN="${prefix}/bin/sqlite3"'
+		LDFLAGS += -L${prefix}/lib
+		EOF
+		exit
+		;;
+	(Linux)
+		cat <<-EOF
+		CFLAGS += -D_GNU_SOURCE
+		RCS =
+		EOF
+		;;
+esac
+
+libs='libtls sqlite3'
+pkg-config --print-errors $libs
+
+cat <<EOF
+CFLAGS += $(pkg-config --cflags $libs)
+CFLAGS += -D'SQLITE3_BIN="$(pkg-config --variable=prefix sqlite3)/bin/sqlite3"'
+LDFLAGS += $(pkg-config --libs-only-L $libs)
+LDLIBS = $(pkg-config --libs-only-l sqlite3)
+LDLIBS_litterbox = $(pkg-config --libs-only-l libtls)
+EOF
amp;follow=1'>Fix /* **/ comment matchingJune McEnroe 2021-09-15Remove typer, add downgrade to READMEJune McEnroe 2021-09-15Set bot mode on downgradeJune McEnroe 2021-09-15Enter capsicum in downgradeJune McEnroe 2021-09-15Factor out common parts of downgrade messagesJune McEnroe 2021-09-14Add downgrade IRC botJune McEnroe 2021-09-14Sort by title if authors matchJune McEnroe 2021-09-13Swap-remove tags as they're foundJune McEnroe 2021-09-12Replace htagml regex with strncmpJune McEnroe 2021-09-11Also defer printing comment for lone close-parensJune McEnroe 2021-09-10Publish "git-comment"June McEnroe 2021-09-10Add git comment --pretty optionJune McEnroe 2021-09-08Defer printing comment if line is blank or closing braceJune McEnroe 2021-09-08Up default min-repeat to 30 linesJune McEnroe 2021-09-08Handle dirty lines in git-commentJune McEnroe 2021-09-08Document and install git-commentJune McEnroe 2021-09-08Add repeat and all options to git-commentJune McEnroe 2021-09-08Add group threshold to git-commentJune McEnroe